import Vue from 'vue'
import Router from 'vue-router'
import Index from '@/components/Main'

Vue.use(Router)

const routes = [
    {
        path: '/',
        redirect: '/index',
    },
    {
        path: '/index',
        name: 'index',
        component: Index,
        meta: {
            requireAuth: false
        }
    }
]

const router = new Router({
    base: process.env.BASE_URL,
    routes
})

router.beforeEach((to, from, next) => {
    if (to.meta.requireAuth) {
        // console.log(to.fullPath);
        if (store.state.login && ((new Date()).getTime() - store.state.loginTime) < store.state.second * 1000) {
            next()
        } else {
            next({
                path: '/login', query: {
                    redirect: to.fullPath
                }
            })
        }
    }
    else {
        next()
    }
})

export default router